Solid Edge Assembly Type Library
Count Property
Description
Returns the number of objects in the referenced collection.
Property type
Read-only property
Syntax
Visual Basic
Public Property Count As Long
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFrameWork.Application
    Dim objDoc As SolidEdgeAssembly.AssemblyDocument
    Dim objRefPlane As SolidEdgeAssembly.AsmRefPlane
    Dim objLayouts As SolidEdgeAssembly.Layouts
    Dim objLayout As SolidEdgeAssembly.Layout
    ' Local variables to be declared here
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.AssemblyDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    On Error GoTo 0
    'Get the Layout Collection object from the Document
    Set objLayouts = objDoc.Layouts
    'Get the x-y refplane
    Set objRefPlane = objDoc.RefPlanes(Index:=1)
    'Create a new layout
    Set objLayout = objLayouts.Add(AsmRefPlane:=objRefPlane)
    'Get the number of Layouts in the Collection
    lngCount = objLayouts.Count
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objLayouts = Nothing
    Set objLayout = Nothing
    Set objRefPlane = Nothing
End Sub
See Also

Layouts Collection  | Layouts Members

Send comments on this topic.